svn commit: r258981 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Thu Dec 5 13:55:48 UTC 2013


Author: pho
Date: Thu Dec  5 13:55:48 2013
New Revision: 258981
URL: http://svnweb.freebsd.org/changeset/base/258981

Log:
  Do not return an error if DEBUG_MEMGUARD is not configured,
  use newfs_flags for newfs(8),

Modified:
  user/pho/stress2/misc/memguard.sh

Modified: user/pho/stress2/misc/memguard.sh
==============================================================================
--- user/pho/stress2/misc/memguard.sh	Thu Dec  5 13:51:19 2013	(r258980)
+++ user/pho/stress2/misc/memguard.sh	Thu Dec  5 13:55:48 2013	(r258981)
@@ -35,7 +35,7 @@
 
 . ../default.cfg
 
-sysctl vm | grep -q memguard || { echo "MEMGUARD(9) not enabled"; exit 1; }
+sysctl vm | grep -q memguard || { echo "MEMGUARD(9) not enabled"; exit 0; }
 
 mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
 mdconfig -l | grep -q md$mdstart &&  mdconfig -d -u $mdstart
@@ -43,7 +43,7 @@ mdconfig -l | grep -q md$mdstart &&  mdc
 mdconfig -a -t swap -s 20m -u $mdstart || exit 1
 bsdlabel -w md$mdstart auto
 
-newfs -U md${mdstart}$part > /dev/null
+newfs $newfs_flags md${mdstart}$part > /dev/null
 
 mount /dev/md${mdstart}$part $mntpoint
 chmod 777 $mntpoint


More information about the svn-src-user mailing list